Package fr.gouv.vitam.storage.offers.tape.dto

# Class TapeDriveState

java.lang.Object
fr.gouv.vitam.storage.offers.tape.dto.TapeDriveState

All Implemented Interfaces:
  `TapeDriveSpec`

public class TapeDriveState extends Object implements TapeDriveSpec

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapeDriveState()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TapeDriveStatus>`
  `addToDriveStatuses(TapeDriveStatus driveStatus)`
  `Integer`
  `getBlockNumber()`
  `String`
  `getCartridge()`
  `String`
  `getDensityCode()`
  `String`
  `getDescription()`
  `List<TapeDriveStatus>`
  `getDriveStatuses()`
  `Integer`
  `getErrorCountSinceLastStatus()`
  `Integer`
  `getFileNumber()`
  `Integer`
  `getPartition()`
  `String`
  `getStatusBits()`
  `Long`
  `getTapeBlockSize()`
  `void`
  `setBlockNumber(Integer blockNumber)`
  `void`
  `setCartridge(String cartridge)`
  `void`
  `setDensityCode(String densityCode)`
  `void`
  `setDescription(String description)`
  `void`
  `setDriveStatuses(List<TapeDriveStatus> driveStatuses)`
  `void`
  `setErrorCountSinceLastStatus(Integer errorCountSinceLastStatus)`
  `void`
  `setFileNumber(Integer fileNumber)`
  `void`
  `setPartition(Integer partition)`
  `void`
  `setStatusBits(String statusBits)`
  `void`
  `setTapeBlockSize(Long tapeBlockSize)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.storage.offers.tape.dto.TapeDriveSpec

  `driveHasTape, hasDensity, isBeginOfTape, isCacheEnabled, isEmptyDrive, isEndOfData, isEndOfFile, isSetMark, isWormTape, needCleanDrive`

- ## Constructor Details

  - ### TapeDriveState

    public TapeDriveState()

- ## Method Details

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in interface `TapeDriveSpec`

  - ### setDescription

    public void setDescription(String description)

  - ### getFileNumber

    public Integer getFileNumber()
    Specified by:
      `getFileNumber` in interface `TapeDriveSpec`

  - ### setFileNumber

    public void setFileNumber(Integer fileNumber)

  - ### getBlockNumber

    public Integer getBlockNumber()

  - ### setBlockNumber

    public void setBlockNumber(Integer blockNumber)

  - ### getPartition

    public Integer getPartition()

  - ### setPartition

    public void setPartition(Integer partition)

  - ### getTapeBlockSize

    public Long getTapeBlockSize()

  - ### setTapeBlockSize

    public void setTapeBlockSize(Long tapeBlockSize)

  - ### getDensityCode

    public String getDensityCode()

  - ### setDensityCode

    public void setDensityCode(String densityCode)

  - ### getCartridge

    public String getCartridge()
    Specified by:
      `getCartridge` in interface `TapeDriveSpec`

  - ### setCartridge

    public void setCartridge(String cartridge)

  - ### getErrorCountSinceLastStatus

    public Integer getErrorCountSinceLastStatus()
    Specified by:
      `getErrorCountSinceLastStatus` in interface `TapeDriveSpec`

  - ### setErrorCountSinceLastStatus

    public void setErrorCountSinceLastStatus(Integer errorCountSinceLastStatus)

  - ### getStatusBits

    public String getStatusBits()

  - ### setStatusBits

    public void setStatusBits(String statusBits)

  - ### getDriveStatuses

    public List<TapeDriveStatus> getDriveStatuses()
    Specified by:
      `getDriveStatuses` in interface `TapeDriveSpec`

  - ### setDriveStatuses

    public void setDriveStatuses(List<TapeDriveStatus> driveStatuses)

  - ### addToDriveStatuses

    public List<TapeDriveStatus> addToDriveStatuses(TapeDriveStatus driveStatus)